module Dhatu
  class ApplicationController < Kuppayam::BaseController
    
    include Usman::AuthenticationHelper
    
    layout 'kuppayam/admin'
    
    before_action :current_user
    before_action :require_user
    before_action :require_site_admin

    helper_method :breadcrumb_home_path

    private

    def set_default_title
      set_title("Dhatu - CMS for your website")
    end

    def breadcrumb_home_path
      dhatu.dashboard_path
    end
    
  end
end
